curl -X POST https://api-verifier-2.onrender.com/password-recovery/send-link \
-H "Content-Type: application/json" \
-d '{
"email": "user@example.com"
}'
{
"success": true,
"message": "If the email exists, a password reset link has been sent."
}
{
"error": "OTP send rate limit exceeded. Try again later."
}
Authentication
Send password reset link
Request a password reset link via email
POST
/
password-recovery
/
send-link
curl -X POST https://api-verifier-2.onrender.com/password-recovery/send-link \
-H "Content-Type: application/json" \
-d '{
"email": "user@example.com"
}'
{
"success": true,
"message": "If the email exists, a password reset link has been sent."
}
{
"error": "OTP send rate limit exceeded. Try again later."
}
Request body
string
required
User’s email address
Response
boolean
Indicates if the request was processed
string
Generic success message (to prevent user enumeration)
curl -X POST https://api-verifier-2.onrender.com/password-recovery/send-link \
-H "Content-Type: application/json" \
-d '{
"email": "user@example.com"
}'
{
"success": true,
"message": "If the email exists, a password reset link has been sent."
}
{
"error": "OTP send rate limit exceeded. Try again later."
}